* {
    font-size: 17px;
    color: #222222;
}

html {
    scroll-behavior: smooth;
}

.mainContanier {
    margin-top: 122px;
    overflow: hidden;
}

.mainVisual {
    width: 100%;
    height: calc(100vh - 122px);
    position: relative;
}

.carousel-item img {
    width: 100%;
    height: calc(100vh - 122px);
    object-fit: cover;
    display: block;
    object-position: center;
}

.overlay-text {
    position: absolute;
    top: 14%;
    left: 14%;
}

.overlay-text.second-text {
    top: 38%;
    left: 24%;
}

.overlay-text.item02 {
    top: 9%;
    left: 10%;
}

.overlay-text.second-text02 {
    top: 32%;
    left: 43%;
}

.overlay-text.item03 {
    top: 18%;
    left: 10%;
}

.overlay-text.second-text03 {
    top: 40%;
    left: 17%;
}

.overlay-text.third-text {
    top: 62%;
    left: 24%;
}

.overlay-text h1,
.overlay-text h1 .color02,
.overlay-text h1 .size01 {
    font-weight: bold;
    line-height: 1.5;
    letter-spacing: 2px;
}

.overlay-text h1 {
    font-size: 5.3vw;
    color: #FFFFFF;
}

.overlay-text h1 .color02 {
    color: #ffd700;
}

.overlay-text h1 .size01 {
    font-size: 4.5vw;
    color: #FFFFFF;
}

.carousel-control-prev::before,
.carousel-control-next::before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    width: 500px;
    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
    z-index: -1;
}

.carousel-control-prev::before {
    left: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 0.3), transparent);
}

.carousel-control-next::before {
    right: 0;
    background: linear-gradient(to left, rgba(255, 255, 255, 0.3), transparent);
}

.carousel-control-prev:hover::before,
.carousel-control-next:hover::before,
.carousel-control-prev:active::before,
.carousel-control-next:active::before {
    opacity: 1;
}

.carousel-control-next-icon,
.carousel-control-prev-icon {
    width: 5rem;
    height: 5rem;
}

.carousel-indicators [data-bs-target] {
    width: 40px;
}

.about_section,
.services_section,
.message_section {
    padding: 50px 0px;
}

.about_section,
.message_section {
    background-color: #F4F4F4;
}

h2 {
    font-size: 36px;
    font-weight: 700;
    color: #0067B7;
    margin-bottom: 30px;
}

.carousel,
.carousel-inner,
.carousel-item {
    overflow: visible !important; 
}

.carousel,
.mainVisual {
    transform: none !important;
}

/* About Start */
.about_box {
    overflow: hidden;
}

.about_msg_box {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.about_msg {
    line-height: 30px;
}

.more_link {
    font-size: 14px;
    margin-top: 20px;
    align-self: flex-end;
    background-color: #0067B7;
    border: 1px solid #0067B7;
    padding: 5px 15px;
    border-radius: 50px;
}

.more_link a {
    color: #FFFFFF;
}

.more_link a::after {
    content: ">";
    color: #FFFFFF;
    margin-left: 10px;
}

.more_link:hover {
    background-color: #FFFFFF;
}

.more_link:hover a {
    color: #0067B7;
}

.more_link:hover a:after {
    color: #0067B7;
}

/* About End */

/* Services Start */
.service_box {
    margin: 50px 0px 0px 0px;
}

.service_title {
    border-left: 10px solid #FAB51A;
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 25px;
    padding-left: 10px;
}

.service_gp {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    gap: 25px;
}

.service_card {
    position: relative;
    display: inline;
    overflow: hidden;
}

.service_card img {
    display: block;
    transition: transform 0.4s ease, box-shadow 0.3s ease;
}


.service_card:hover img {
    transform: scale(1.05);
}

.service_card:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 30%;
    background: rgba(0, 0, 0, 0);
    filter: brightness(50%);
    mix-blend-mode: darken;
    pointer-events: none;
}

.service_txt {
    position: absolute;
    top: 0;
    color: #FFFFFF;
    font-weight: 500;
    padding: 18px 30px 18px 15px;
    display: flex;
    height: 80px;
    align-items: center;
    line-height: 1.8;
}

.service_card:hover .service_txt,
.service_txt:hover {
    color: #FAB51A;
}

/* Services End */

/* Message Start */
.avatar-card {
    display: flex;
    align-items: center;
    gap: 10px;

}

.avatar_name_gp {
    display: flex;
    flex-direction: column;
}

.avatar_name_gp .name {
    font-weight: 700;
    font-size: 18px;
    color: #333;
}

.avatar_name_gp .role {
    font-size: 14px;
    color: #777;
}

.home_msg_txt {
    margin-left: 70px;
    display: inline-block;
    padding: 20px 20px;
    font-size: 14px;
    border: 20px solid transparent;
    border-image-source: url("/wp/wp-content/themes/mdcr_corporate/assets/image/common/msg_02.png");
    border-image-slice: 28 fill;
    border-image-repeat: stretch;
}

.home_msg_txt p {
    margin-bottom: 0px;
}

/* Message End */

@media screen and (max-width: 1280px) {
    .mainVisual,
    .carousel-item img {
        height: auto;
    }
}

@media screen and (max-width: 768px) {

    .more_link {
        align-self: anchor-center;
    }
}

@media screen and (max-width: 1133px) {
    .mainContanier {
        margin-top: 80px;
    }

    .about_section,
    .services_section,  
    .message_section {
        padding: 30px 0px;
    }

    h2 {
        font-size: 28px;
        margin-bottom: 20px;
    }

}

@media only screen and (max-width: 991px) and (min-width: 578px) {
    .service_gp {
        justify-content: space-around;
    }
}

@media only screen and (max-width: 577px) {
    .about_img {
        display: flex;
        justify-content: center;
    }

    .about_img .img-fluid {
        width: auto;
        height: 200px;
        margin-bottom: 20px;
    }

    .service_gp {
        justify-content: space-around;
    }

    .home_msg_txt {
        border-image-slice: 50;
        border-image-source: url(/wp/wp-content/themes/mdcr_corporate/assets/image/common/msg_01.png);
    }
}

@media only screen and (max-width: 430px) {

    .carousel-control-next-icon,
    .carousel-control-prev-icon {
        width: 3rem;
        height: 3rem;
    }
}